package cz.muni.fi.pb162.sports;


/**
 * Interface for length measurement.
 * 
 * @author Radek Oslejsek &lt;oslejsek@fi.muni.cz&gt;
 * @version 2007-10-02
 */

public interface Length
{
    /**
     * Ulozi aktualni namerenou delkovou hodnotu.
     * 
     * @param length namerena hodnota v centimetrech
     * @return false jestlize je pokus kratsi nez dosadavni maximum
     *         true jinak
     */
    boolean setLength(double length);
    
    /**
     * Ulozi aktualni namerenou delkovou hodnotu.
     * 
     * @param length namerena hodnota v metrech
     * @return false jestlize je pokus kratsi nez dosadavni maximum
     *         true jinak
     */
    boolean setLengthInMeters(double length);

    /**
     * Vrati nejdelsi namereny pokus.
     * 
     * @return nejdelsi ulozena delka v centimetrech
     */
    double getLongestAttempt();
}
